#!/bin/bash
# First, find out where we are
case $0 in
         /*)  SHELLFILE=$0 ;;
		./*)  SHELLFILE=${PWD}${0#.} ;;
        ../*) SHELLFILE=${PWD%/*}${0#..} ;;
          *)  SHELLFILE=$(type -P "$0") ; if [ "${SHELLFILE:0:1}" != "/" ]; then SHELLFILE="${PWD}/$SHELLFILE" ; fi ;;
esac

# readlink -m makes sure SHELLDIR is a simple absolute path
SHELLDIR=`readlink -m "${SHELLFILE%/*}"`

# 6.0: So the RT-STPS root directory should be one directory above. Make it an absolute path
RT_STPS_HOME=`readlink -m "$SHELLDIR/../"`

ARCH=`uname -m`
if [ ${ARCH} == 'x86_64' ]; then

# 64-bit linux
HDF="$RT_STPS_HOME/lib/hdf-java-2.7/linux64/hdf-java/lib"
HDF_LIB="linux"

elif [ $(ARCH) == 'ia64' ]; then

# 64-bit itanium
HDF="$RT_STPS_HOME/lib/hdf-java-2.7/linux64i/hdf-java/lib"
HDF_LIB="linux"

else 

# 32-bit linux
HDF="$RT_STPS_HOME/lib/hdf-java-2.7/linux32/hdf-java/lib"
HDF_LIB="linux"

fi

# 6.0: root no longer points to config so we don't have to maintain two separate rt-stps.dtd files. Now it's top-level RT-STPS directory.
java -server -Droot="$RT_STPS_HOME" -Djava.library.path="$HDF/$HDF_LIB" -cp "$RT_STPS_HOME/lib/rt-stps.jar:$RT_STPS_HOME/lib/nsls.jar:$HDF/fits.jar:$HDF/jhdf.jar:$HDF/jhdf4obj.jar:$HDF/jhdf5.jar:$HDF/jhdf5obj.jar:$HDF/jhdfobj.jar:$HDF/jhdfview.jar:$HDF/junit.jar:$HDF/netcdf.jar:$HDF/ext/fitsobj.jar:$HDF/ext/nc2obj.jar" gov.nasa.gsfc.drl.rtstps.Batch "$1" "$2"

