#!/bin/bash
# First, find out where we are
case $0 in
         /*)  SHELLFILE=$0 ;;
		./*)  SHELLFILE=${PWD}${0#.} ;;
        ../*) SHELLFILE=${PWD%/*}${0#..} ;;
          *)  SHELLFILE=$(type -P "$0") ; if [ "${SHELLFILE:0:1}" != "/" ]; then SHELLFILE="${PWD}/$SHELLFILE" ; fi ;;
esac

# readlink -m makes sure SHELLDIR is a simple absolute path
SHELLDIR=`readlink -m "${SHELLFILE%/*}"`

# So the RT-STPS root directory should be two directories above
RT_STPS_HOME="$SHELLDIR/../.."

ARCH=`uname -m`
if [ ${ARCH} == 'x86_64' ]; then

# 64-bit linux
HDF="$RT_STPS_HOME/lib/hdf-java-2.7/linux64/hdf-java/lib"
HDF_LIB="linux"

elif [ $(ARCH) == 'ia64' ]; then

# 64-bit itanium
HDF="$RT_STPS_HOME/lib/hdf-java-2.7/linux64i/hdf-java/lib"
HDF_LIB="linux"

else 

# 32-bit linux
HDF="$RT_STPS_HOME/lib/hdf-java-2.7/linux32/hdf-java/lib"
HDF_LIB="linux"

fi
# 6.0: Now there is a second argument: Mission Name (e.g. NPP, JPSS-1, etc). Also now provide RT-STPS home as root.
java -Droot="$RT_STPS_HOME" -Djava.library.path="$HDF/$HDF_LIB" -cp "$RT_STPS_HOME/lib/rt-stps.jar:$RT_STPS_HOME/lib/nsls.jar:$HDF/fits.jar:$HDF/jhdf.jar:$HDF/jhdf4obj.jar:$HDF/jhdf5.jar:$HDF/jhdf5obj.jar:$HDF/jhdfobj.jar:$HDF/jhdfview.jar:$HDF/junit.jar:$HDF/netcdf.jar:$HDF/ext/fitsobj.jar:$HDF/ext/nc2obj.jar" gov.nasa.gsfc.drl.rtstps.rdrviewer.PrintStaticHeader $1 $2
