/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/

package gov.nasa.gsfc.drl.rtstps.core.output.rdr;

import gov.nasa.gsfc.drl.rtstps.core.RtStpsException;


//placeholder for further specialization
public class GenericAggregate extends Aggregate {

	private RDRName rdrname;

	public GenericAggregate(int rdrGroup, String aggregateName, RDRName rdrname) throws RtStpsException {
		super(rdrGroup, rdrname.getRDRStringName() + "_Aggr");
		this.rdrname = rdrname;
	}

	public GenericAggregate(int rdrGroup, RDRName rdrname) throws RtStpsException {
		super(rdrGroup, rdrname);
		this.rdrname = rdrname;
	}

	public GenericAggregate(GranuleId beginningGranuleId,
	 		GranuleId endingGranuleId,
	 		long beginningOrbit,
	 		long endingOrbit,
	 		PDSDate beginningDateTime,
			PDSDate endingDateTime,
			long granuleCount,
			RDRName rdrname) {

		super(beginningGranuleId, 
				endingGranuleId, 
				beginningOrbit, 
				endingOrbit, 
				beginningDateTime, 
				endingDateTime, 
				granuleCount, 
				rdrname);
		this.rdrname = rdrname;
	}
}
